Name:			liborigin2
Version:		06042009
Release:		2.20100119svn%{?dist}.1
Summary:		Library for reading OriginLab project files
License:		GPLv3
Group:			System Environment/Libraries
URL:			http://soft.proindependent.com/%{name}/
#Source0:		http://download.berlios.de/qtiplot/%{name}-%{version}.zip
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 1552 svn://svn.berlios.de/qtiplot/trunk/3rdparty/liborigin liborigin2-20100119
#  tar -cjvf liborigin2-20100119.tar.bz2 liborigin2-20100119
Source0:		liborigin2-20100119.tar.bz2
# Fixes build and install
Patch0:			liborigin2-path.patch
BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:		boost-devel
BuildRequires:		qt4-devel
BuildRequires:		doxygen
BuildRequires:		dos2unix

%description
liborigin2 is a library for reading OriginLab project files. OriginLab 
Origin provides extensive scientific graphing and data analysis capabilities 
and includes several new tools that simplify common operations.

See http://www.originlab.com for more informations about OriginLab Origin.

%package devel
Summary:		Development files for %{name}
Group:			Development/Libraries
Requires:		%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for 
developing applications that use %{name}. 

%package doc
Summary:		Documentation for %{name}
Group:			Documentation
Requires:		%{name} = %{version}-%{release}
BuildArch:		noarch

%description doc
The %{name}-doc package contains documentation for the %{name} library.

%prep
%setup -q -n %{name}-20100119
%patch0 -p1
#fix source files for debug package
find . -name '*.h' -exec dos2unix {} \;
find . -name '*.hh' -exec dos2unix {} \;
find . -name '*.hpp' -exec dos2unix {} \;
find . -name '*.c' -exec dos2unix {} \;
find . -name '*.cc' -exec dos2unix {} \;
find . -name '*.cpp' -exec dos2unix {} \;
find . -type d -exec chmod 0755 {} \;
find . -type f -exec chmod 0644 {} \;

%build
export PATH=%{_qt4_bindir}:$PATH
%_qt4_qmake ORIDOCDIR=%{_docdir}/%{name}-%{version} LIBDIR=%{_libdir} \
	BOOSTINC=%{_includedir}/boost
make %{?_smp_mflags}
pushd doc
doxygen Doxyfile
popd
dos2unix readme
dos2unix copying
iconv -f iso8859-5 -t utf-8 FORMAT -o FORMAT
dos2unix FORMAT

%install
rm -rf %{buildroot}
make INSTALL="install -p" INSTALL_ROOT=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/copying
%{_docdir}/%{name}-%{version}/readme
%{_docdir}/%{name}-%{version}/FORMAT
%{_libdir}/%{name}.so.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/
%{_libdir}/%{name}.so

%files doc
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/html

%changelog
* Sat Jan 23 2010 Chen Lei <supercyper AT 163 DOT com> - 06042009-2.20100119svn.1
- svn 1552
- split doc subpackage
* Wed Nov 25 2009 Chen Lei <supercyper AT 163 DOT com> - 06042009-1
- add API documentation
* Sat Nov 21 2009 Chen Lei <supercyper AT 163 DOT com> - 06042009-0
- initial rpm build
